| Home | Libraries | People | FAQ | More

## Function template dynamic_cast_

boost::xpressive::dynamic_cast_ — `dynamic_cast_` is a lazy funtion for dynamically casting a parameter to a different type.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T, typename A> unspecified dynamic_cast_(A const & a);

## Description

Parameters:

`a` | The lazy value to dynamically cast.

Template Parameters:

`T` | The type to which to dynamically cast the parameter.

Returns: | A lazy object that, when evaluated, dynamically casts its argument to the desired type.